Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesysapp.net/api/v1/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"b950b89d-e992-4de9-b072-1aa6a235d994","url":null,"userId":"cd2b23d1-23aa-4796-9c33-042d82954314","userUrl":null,"parentCommentId":"862cd5db-1be6-44ac-80df-377822ccf19d","parentCommentUrl":null,"creationDateTime":"2026-04-17T11:26:07.0578677+00:00","lastModifiedDateTime":null,"medias":[{"id":"e4431a40-a22c-4495-9b5c-4f1f46b4a2f2","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"aedba738-3a22-4392-a49b-07905b8c5e51","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string